Package Gnumed :: Package business :: Module gmEMRStructItems :: Class cHealthIssue |
[frames] | no frames]

# Class cHealthIssue

source code

                                       object --+
                                                |
    pycommon.gmBusinessDBObject.cBusinessDBObject --+
                                                    |
                                                   cHealthIssue

Represents one health issue.

Instance Methods
__init__(self, aPK_obj=None, encounter=None, name='xxxDEFAULTxxx', patient=None, row=None) Init business object. | source code
rename(self, description=None) Method for issue renaming. | source code
get_episodes(self) | source code
close_expired_episode(self, ttl=180) ttl in days | source code
close_episode(self) | source code
get_open_episode(self) | source code
age_noted_human_readable(self) | source code
add_code(self, pk_code=None) <pk_code> must be a value from ref.coding_system_root.pk_coding_system (clin.lnk_code2item_root.fk_generic_code) | source code
remove_code(self, pk_code=None) <pk_code> must be a value from ref.coding_system_root.pk_coding_system (clin.lnk_code2item_root.fk_generic_code) | source code
format_as_journal(self, left_margin=0, date_format='%Y %b %d, %a') | source code
format(self, left_margin=0, patient=None, with_summary=True, with_codes=True, with_episodes=True, with_encounters=True, with_medications=True, with_hospital_stays=True, with_procedures=True, with_family_history=True, with_documents=True, with_tests=True, with_vaccinations=True, with_external_care=True) | source code
possible_start_date(self) | source code
clinical_end_date(self) | source code
latest_access_date(self) | source code
Inherited from `pycommon.gmBusinessDBObject.cBusinessDBObject`: `__del__`, `__getitem__`, `__setitem__`, `__str__`, `fields_as_dict`, `get_fields`, `get_patient`, `get_updatable_fields`, `is_modified`, `refetch_payload`, `same_payload`, `save`, `save_payload`, `staff_id` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Class Variables
| external_care = `property(_get_external_care, lambda x: x)`
| episodes = `property(get_episodes, lambda x: x)`
| open_episode = `property(get_open_episode, lambda x: x)`
| has_open_episode = `property(has_open_episode, lambda x: x)`
| first_episode = `property(_get_first_episode, lambda x: x)`
| latest_episode = `property(_get_latest_episode, lambda x: x)`
| safe_start_date = `property(_get_safe_start_date, lambda x: x)`
| laterality_description = `property(_get_laterality_description,`...``
| diagnostic_certainty_description = `property(_get_diagnostic_ce`...``
| formatted_revision_history = `property(_get_formatted_revision_`...``
| generic_codes = `property(_get_generic_codes, _set_generic_codes)`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, aPK_obj=None, encounter=None, name='xxxDEFAULTxxx', patient=None, row=None) (Constructor) | source code
    Init business object.

    Call from child classes:

            super(cChildClass, self).__init__(aPK_obj = aPK_obj, row = row, link_obj = link_obj)
Overrides: object.__init__ (inherited documentation)

### rename(self, description=None) | source code
Method for issue renaming. @param description the new descriptive name for the issue @type description a string instance

### format(self, left_margin=0, patient=None, with_summary=True, with_codes=True, with_episodes=True, with_encounters=True, with_medications=True, with_hospital_stays=True, with_procedures=True, with_family_history=True, with_documents=True, with_tests=True, with_vaccinations=True, with_external_care=True) | source code
Overrides: pycommon.gmBusinessDBObject.cBusinessDBObject.format

Class Variable Details

  ### laterality_description Value:
      property(_get_laterality_description, lambda x: x)

  ### diagnostic_certainty_description Value:
      property(_get_diagnostic_certainty_description, lambda x: x)

  ### formatted_revision_history Value:
      property(_get_formatted_revision_history, lambda x: x)